---
created: "2023-07-21T18:26:38.918Z"
updated: "2023-07-21T18:26:38.919Z"
status: "2-Todo"
type: "kanbn"
started: "2023-07-08T21:47:12.461Z"
---

# Set Date Taken When Missing

```c#
records = (from l in unordered orderby l.DateTime, l.FileHolder.Name.Length, l.FileHolder.Name select l).ToArray();
return new(result, (from l in results orderby l.FileHolder.CreationTime, l.FileHolder.FullName.Length descending select l).ToArray());
```

## Sub-tasks

- [x] Set just one directory with no original and re-run Instance to verify it doesn't break anything
- [x] Set just one directory with all original and re-run Instance to verify it doesn't break anything
- [?] Set just one directory with mixed original and re-run Instance to verify it doesn't break anything
- [x] Set all and re-run Instance to verify it doesn't break anything
- [ ] Review above lines
